from common import parse


def round(game: tuple[str, str]) -> int:
    if game[0] == "A":
        if game[1] == "X":
            return 1 + 3
        elif game[1] == "Y":
            return 2 + 6
        else:
            return 3 + 0
    elif game[0] == "B":
        if game[1] == "X":
            return 1 + 0
        elif game[1] == "Y":
            return 2 + 3
        else:
            return 3 + 6
    else:
        if game[1] == "X":
            return 1 + 6
        elif game[1] == "Y":
            return 2 + 0
        else:
            return 3 + 3


def solve(strategy: list[tuple[str, str]]) -> int:
    return sum(map(round, strategy))


def main():
    print(solve(parse("input")))


if __name__ == "__main__":
    main()
