#!/usr/bin/env python
from common import Folder, parse


def solve(folder: Folder) -> int:
    childrens_sizes = sum(map(lambda x: solve(x), filter(lambda y: type(y) is Folder, folder.children)))
    if folder.size >= 100000:
        return childrens_sizes
    else:
        return folder.size + childrens_sizes


def main():
    print(solve(parse("input")))


if __name__ == "__main__":
    main()
